[arch-commits] Commit in dvgrab/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun May 3 17:58:32 EDT 2009


    Date: Sunday, May 3, 2009 @ 17:58:32
  Author: jgc
Revision: 37815

upgpkg: dvgrab 3.4-1

Modified:
  dvgrab/trunk/PKGBUILD

----------+
 PKGBUILD |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-03 21:42:03 UTC (rev 37814)
+++ PKGBUILD	2009-05-03 21:58:32 UTC (rev 37815)
@@ -9,15 +9,14 @@
 arch=('i686' 'x86_64')
 url="http://www.kinodv.org"
 license=('GPL')
-depends=('libdv' 'libavc1394' 'libjpeg' 'libiec61883' 'gcc-libs')
+depends=('libdv>=1.0.0' 'libavc1394>=0.5.3-3' 'libjpeg' 'libiec61883>=1.2.0' 'gcc-libs')
 makedepends=('pkgconfig')
 source=(http://downloads.sourceforge.net/sourceforge/kino/${pkgname}-${pkgver}.tar.gz)
 md5sums=('093b74cb9f9bf321e48ffbbe5ba8cba6')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=${pkgdir}/usr install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-



More information about the arch-commits mailing list